package test;
import com.university.*;

import static junit.framework.TestCase.assertNotNull;
import static junit.framework.TestCase.assertEquals;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

public class TestProfessor {
    static Professor professor;

    @BeforeAll
    public static void CreateProfessor(){
        Department department = new Department("Computer");
        professor = new Professor(department , "Salmani");
        Course course = new Course("1234" , "AP" , department , professor , 21);
        department.addCourse(course);
        department.addProfessor(professor);
    }

    @Test
    public void TestGetName(){
        assertEquals("Salmani" , professor.getName());
    }

    @Test
    public void TestGetDepartment(){
        assertEquals("Computer" , professor.getDepartment().getName());
    }

    @Test
    public void TestgetCourses(){
        assertNotNull(professor.getCourses());
    }
}
