package com.university;

import java.util.ArrayList;

public class Course {
    private String ID;
    private String name;
    private Department dpart;
    private Professor prof;
    private int credit;
    private ArrayList<Student> stds = new ArrayList<Student>();

    public Course(String ID, String name, Department department, Professor professor, int credit) {
        this.ID = ID;
        this.name = name;
        dpart = department;
        prof = professor;
        this.credit = credit;
    }

    public String getID(){
        return ID;
    }

    public Department getDepartment(){
        return dpart;
    }

    public String getName() {
        return name;
    }

    public Student[] getStudents() {
        Student[] students = stds.toArray(new Student[stds.size()]);
        return students;
    }

    public Professor getProfessor() {
        return prof;
    }

    public int getCredit() {
        return credit;
    }

    public void enrollStudent(Student student){
        if(student.getDepartment() == this.dpart && stds.indexOf(student) >= 0){
        stds.add(student);}

    }

}
