package com.university;

import java.util.ArrayList;

public class University {
    private String name;
    private ArrayList<Department> dprmts = new ArrayList<Department>();
    private Department[] departments;

    public University(String name){
        this.name = name;
    }
    public String getName(){
        return name;
    }
    public Department[] getDepartments(){
        departments = dprmts.toArray(new Department[dprmts.size()]);
        return departments;
    }

    public void addDepartment(Department department){
        if(dprmts.indexOf(department)<= -1)
            dprmts.add(department);
    }

    public void removeDepartment(Department department){
        if(dprmts.indexOf(department) >= 0){
            dprmts.remove(department);
        }
    }
}
