package test;

import com.university.Student;
import com.university.Professor;
import com.university.Department;
import com.university.Course;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static junit.framework.TestCase.assertEquals;
import static junit.framework.TestCase.assertNotNull;
import static org.junit.Assert.assertNotEquals;

public class DepartmentTest {
    static Department department , department2;

    @BeforeAll
    public static void CreateDepartment(){
        department = new Department("Computer");
        Student student = new Student("Ali" , "3212" , "Computer" , department);
        Professor professor1 = new Professor(department , "salmani");
        department.addStudent(student);
        department2 = new Department("mechanic");
        Professor professor2 = new Professor(department2 , "Ohadi");
        Student student1 = new Student("Mohammad" , "9321078" , "Mechanic" , department2);
        department2.addStudent(student);
        Student student2 = new Student("Ali" , "1234" , "Computer" , department);
        department.addStudent(student2);
        department.removeStudent(student);
        Student student3 = new Student("reza" , "2132" , "Computer" , department);
        department.addStudent(student3);
        Course course1 = new Course("12" , "ap" , department  , professor1 , 21 );
        department.addCourse(course1);
        Course course2 = new Course("12" , "ap" , department2  , professor2 , 21 );
        department.removeCourse(course2);
        department.addProfessor(professor1);
        department2.addProfessor(professor1);
    }

    @Test
    public void TestAddStudent(){
        assertEquals(0 , department2.getStudents().length); //can't add student
        assertNotNull(department.getStudents().length);
    }

    @Test
    public void TestremoveStudents(){
        assertEquals(2 , department.getStudents().length);
    }

    @Test
    public void TestGetName0(){
        assertEquals("Computer" , department.getName());
    }

    @Test
    public void TestAddCourse(){
        assertNotNull(department.getCourses().length);
        assertEquals(0 , department2.getCourses().length);
    }

    @Test
    public void TestAddProfessor(){
        assertNotNull(department.getProfessors().length);
        assertEquals(0 , department2.getProfessors().length);
    }






}
