package test;


import com.university.Course;
import com.university.Department;
import com.university.Professor;
import com.university.Student;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static junit.framework.TestCase.assertEquals;
import static junit.framework.TestCase.assertNotNull;

public class StudnetTest {
    static Student student , student1;
    static Department department;
    static Professor prf;

    @BeforeAll
    public static void createStudent(){
        department = new Department("Computer and IT Eng");
        student = new Student("Alireza", "1234", "Software Eng", department);
        prf = new Professor(department , "Ohadi");
        Course c1 = new Course("12" , "mathematic" , department , prf , 1);
        Course c2 = new Course("14" , "Physic" , department , prf , 2);
        student1 = new Student("Mohammad" , "4321" , "Mechanic" , department);
        student1.addCourse(null);

    }

    @Test
    public void testStudentGetName(){

        assertEquals("Alireza", student.getName());
    }

    @Test
    public void testStudenGetCourses(){
        assertNotNull(student.getCourses());
        assertEquals(0, student.getCourses().length);
    }
    @Test
    public void testStudentID(){
        assertNotNull(student.getID());
    }
    @Test
    public void testStudentDepartment(){
        assertNotNull(student.getDepartment());
    }
    @Test
    public void testStudentMajor(){
        assertNotNull(student.getMajor());
    }
    @Test
    public void testStudentNullCourse(){
        assertEquals(0 , student1.getCourses().length);
    }

}
