package test;

import com.university.*;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.Test;

import static junit.framework.TestCase.assertEquals;
import static junit.framework.TestCase.assertNotNull;
import static org.junit.Assert.assertNotEquals;

public class UniversityTest {
    static University university;

    @BeforeAll
    public static void CreateUniversity(){
        university = new University("AmirKabir");
        Department department = new Department("Omran");
        Department department1 = new Department("Computer");
        Department department2 = new Department("AeroSpace");
        university.addDepartment(department);
        university.addDepartment(department1);
        university.addDepartment(department2);
        university.removeDepartment(department);
    }

    @Test
    public void TestaddDepartments(){
        assertNotNull(university.getDepartments().length);
    }

    @Test
    public void TestremoveDepartments(){
        assertEquals(2 , university.getDepartments().length);
    }

    @Test
    public void TestgetName(){
        assertEquals("AmirKabir" , university.getName());
    }
}
